// A simplest example of using recursion, meant to correspond
// the simple examples we can create on recursivedrawing.com.

void setup()
{
  size( 500, 500 );
  fill( 0 );
  noStroke();
}

void makeDrawing( int levs )
{
  ellipse( 0, 0, 150, 150 );
  if ( levs > 0 ) {
    pushMatrix();
    translate( 130, -20 );
    rotate( radians( 40 ) );
    scale( 0.75 );
    makeDrawing( levs - 1 );
    popMatrix();
  }
}

void draw()
{
  background( 255 );
  translate( 100, 200 );
  makeDrawing( 10 );
}

